## eole-flask 2.10.0-3

=== Makefile ===
################################
# Makefile pour eoleflask
################################

SOURCE=eoleflask
#VERSION=0.1
EOLE_VERSION=2.10
EOLE_RELEASE=2.10.0
PKGAPPS=non

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
include eoleflask.mk

=== debian/changelog ===
eole-flask (2.10.0-3) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [9f3d7b0] Déplacer les fichiers de eoleapps dans le paquet correspondant
  * [11dd992] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [5c2adb7] Benjamin Bohard: Update package since “debian/eole/2.10.0-2”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 28 Apr 2025 08:57:59 +0200

eole-flask (2.10.0-2) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [4b06359] Pallier le problème entre apparmor et systemd.
  * [1fc94eb] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [b72a5a5] Benjamin Bohard: Update package since “debian/eole/2.10.0-1”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 18 Jun 2024 15:34:27 +0200

eole-flask (2.10.0-1) eole-2.10.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [1098c57] Prepare release 2.10.0
  * [628c9f8] Merge branch 'master' into dist/eole/2.10.0/master

  [ Emmanuel Garette ]
  * [335a7a9] nginx - flask : vérifier le certificat LE fullchain (ref #35894)
  * [21e5c9c] Merge branch '2.9.0/master'
  * [53422af] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [ea00223] Emmanuel Garette: Update package since “debian/eole/2.9.0-4”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 16 Apr 2024 08:55:41 +0200

=== debian/control ===
Source: eole-flask
Section: admin
Priority: optional
Maintainer: Équipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 9), python3-all-dev, dh-python
Standards-Version: 3.9.3
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-flask
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-flask/repository

Package: eole-flask
Architecture: all
Depends: eole-flask-admin (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends}
Replaces: eole-flask-server (<< 2.4.1-16)
Breaks: eole-flask-server (<< 2.4.1-16)
Description: configuration files for eole application server
 This package provides configuration files to start
 eole application server.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-flask-admin
Architecture: all
Depends: eole-flask-server (= ${binary:Version}),
         nginx-light | nginx,
         ${misc:Depends},
         ${python3:Depends}
Conflicts: eole-flask-server (< 2.4.1-1)
Description: configuration files for eole-flask admin instance
 This package provides configuration files to start
 eoleflask service.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-flask-apps
Architecture: all
Depends: eole-flask-server (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends}
Conflicts: eole-flask-server (< 2.4.1-1)
Description: configuration files for eole-flask eoleapps instance
 This package provides configuration files to start
 eoleapps service.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-flask-server
Architecture: all
Depends: python-eoleflask (= ${binary:Version}),
         gunicorn,
         python3-eventlet,
         ${misc:Depends},
         ${python3:Depends}
Description: application server for EOLE
 This package provides an init script and a configuration to start
 gunicorn.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: python-eoleflask
Architecture: all
Depends: python3-flask,
         ${misc:Depends},
         ${python3:Depends}
Description: application server for EOLE
 This package provides python library of EOLE application server.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@ --with python3

override_dh_install:
	rm -rf debian/python-eoleflask/usr/share
	dh_install

override_dh_installsystemd:
	dh_installsystemd --name=eoleflask
	dh_installsystemd --name=eoleapps

override_dh_builddeb:
	# Make package compatible with older version
	dh_builddeb -- -Zgzip -Srle

.PHONY: override_dh_install  override_dh_builddeb
